View Issue Details

IDProjectCategoryView StatusLast Update
0000276FreeCADFeaturepublic2011-11-09 22:35
ReporterJriegelAssigned ToJriegel 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version0.12Fixed in Version0.12 
Summary0000276: Stringent user interface behavior
DescriptionWith this group I want to aim for a more consistent user interface
throughout the modules and workbenches. That mean:

Clear procedure for entering and Leafing edit mode.

Access to the TaskView vial Python

Important features shut have a TaskDialog to edit it.

Framework for 3D edit elements (dragger in 3D View)

And much more....
TagsNo tags attached.

Relationships

parent of 0000111 closedwmayer Make the task panel accessible from python 
parent of 0000084 closedJriegel Start Workbench 
parent of 0000112 closedJriegel Make python workbenches able to handle edit mode 

Activities

Jriegel

2011-09-16 05:00

administrator   ~0001091

Now doing only clean up for PartDesign to the 0.12 release...

Jriegel

2011-11-09 22:35

administrator   ~0001269

In PartDesign its, with some exceptions, done

Issue History

Date Modified Username Field Change
2011-02-22 11:56 Jriegel New Issue
2011-02-22 11:57 Jriegel Assigned To => Jriegel
2011-02-22 11:57 Jriegel Status new => assigned
2011-02-22 11:57 Jriegel Target Version => 0.12
2011-02-22 11:58 Jriegel Relationship added parent of 0000111
2011-02-22 11:58 Jriegel Relationship added parent of 0000084
2011-02-22 12:00 Jriegel Relationship added parent of 0000112
2011-09-16 05:00 Jriegel Note Added: 0001091
2011-11-09 22:35 Jriegel Note Added: 0001269
2011-11-09 22:35 Jriegel Status assigned => closed
2011-11-09 22:35 Jriegel Resolution open => fixed
2011-11-09 22:35 Jriegel Fixed in Version => 0.12